export interface BaseController {
  service: any;
  /**
   * 列表查询
   * @param query 查询条件
   */
  index(query: object);
  /**
   * 单数据查询
   * @param id 查询的数据id
   */
  fetch(id: number);
  /**
   * 创建数据
   * @param data 创建所需数据
   */
  create(data: object);
  /**
   * 修改单数据
   * @param id 要修改的数据id
   * @param data 要修改的数据
   */
  update(id: number, data: object);
  /**
   * 删除单数据
   * @param id 要删除的数据id
   */
  delete(id: number);
}
